[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetDefaultColumnAlignment

Gets the default horizontal alignment used for values in the grid control.

## Declaration

Source position: grids.pas line 1097

`protected function TCustomGrid.GetDefaultColumnAlignment(`
`Column: Integer`
`):TAlignment; virtual;`

## Arguments

`Column` |  | Column number is not used in the method

## Function result

Default horizontal alignment for the specified column.

## Description

GetDefaultColumnAlignment is a TAlignment function which provides the default horizontal alignment for text in the columns for the grid control. It is used in the GetColumnAlignment method when Columns are not Enabled for the control. GetDefaultColumnAlignment returns the Alignment value from DefaultTextStyle as stored in the constructor for the class instance.

## See also

TCustomGrid.GetColumnAlignment |  | Gets the horizontal Alignment for the specified column.
TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.DefaultTextStyle |  | Default style used to display text including alignment, layout, wrapping, et. al.
TAlignment